#ifndef CHUNK_H
#define CHUNK_H
#include "AstronomicalObject.h"
#include "Planet.h"
#include <vector>


class Chunk
{
    public:
        Chunk();
        Chunk(bool ranGen);
        virtual ~Chunk();
        void addAstroObject(AstronomicalObject *toBeAdded);
        AstronomicalObject* getAstroObjBylistIndex(unsigned int x){if(x<m_listeContenu.size()){return m_listeContenu[x];}else{return nullptr;}};
        unsigned int getAstroObjListSize(){return m_listeContenu.size();};
    protected:
        std::vector<AstronomicalObject*> m_listeContenu;
    private:
};

#endif // CHUNK_H
